JndiAccessor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jndi

## Class JndiAccessor

- java.lang.Object
- - org.springframework.jndi.JndiAccessor

- Direct Known Subclasses:
    JndiLocatorSupport

      public class JndiAccessor
      extends Object

  Convenient superclass for JNDI accessors, providing "jndiTemplate" and "jndiEnvironment" bean properties.
  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    `setJndiTemplate(org.springframework.jndi.JndiTemplate)`, `setJndiEnvironment(java.util.Properties)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Log` | `logger` Logger, available to subclasses.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiAccessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Properties` | `getJndiEnvironment()` Return the JNDI environment to use for JNDI lookups.
    `JndiTemplate` | `getJndiTemplate()` Return the JNDI template to use for JNDI lookups.
    `void` | `setJndiEnvironment(Properties jndiEnvironment)` Set the JNDI environment to use for JNDI lookups.
    `void` | `setJndiTemplate(JndiTemplate jndiTemplate)` Set the JNDI template to use for JNDI lookups.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final Log logger

      Logger, available to subclasses.

  - ### Constructor Detail

    - #### JndiAccessor

          public JndiAccessor()

  - ### Method Detail

    - #### setJndiTemplate

          public void setJndiTemplate(JndiTemplate jndiTemplate)

      Set the JNDI template to use for JNDI lookups.

      You can also specify JNDI environment settings via "jndiEnvironment".

      See Also:
        `setJndiEnvironment(java.util.Properties)`

    - #### getJndiTemplate

          public JndiTemplate getJndiTemplate()

      Return the JNDI template to use for JNDI lookups.

    - #### setJndiEnvironment

          public void setJndiEnvironment(Properties jndiEnvironment)

      Set the JNDI environment to use for JNDI lookups.

      Creates a JndiTemplate with the given environment settings.

      See Also:
        `setJndiTemplate(org.springframework.jndi.JndiTemplate)`

    - #### getJndiEnvironment

          public Properties getJndiEnvironment()

      Return the JNDI environment to use for JNDI lookups.